/**
 * ClickHouse Server in docker
 * table: users (id Int32, name String, enabled Boolean)
 * rows: 200 rows.
 */
export declare class ClickHouseServer {
    readonly password = "123";
    readonly image = "clickhouse/clickhouse-server:23";
    readonly port: number;
    readonly host = "localhost";
    readonly user = "user";
    readonly database = "db";
    private container?;
    prepare(): Promise<void>;
    destroy(): Promise<void>;
    getProfile(name: string): {
        name: string;
        type: string;
        connection: import("@clickhouse/client").ClickHouseClientConfigOptions;
        allow: string;
    };
    private waitClickHouseReady;
}
